# This shows that we can also use a button as a frame header.
require 'gtk_paradise/require_gtk3'

include Gtk::BaseModule

frame = gtk_frame('HEY THERE')
frame.label_widget = button('A test button.')
pp frame.methods.sort
window = gtk_window
window.add(frame)
window.set_size_request(800, 600)
window.realize
window.show_all
window.signal_connect(:destroy) { Gtk.main_quit }
::Gtk.main